
/*
 * $Id: PglKnownNamesSym.h,v 1.1.2.1 1999/11/23 00:18:07 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PGL_KNOWN_NAMES_ARRAY_SYMBOL_H
#define PGL_KNOWN_NAMES_ARRAY_SYMBOL_H

#include "PglArraySym.h"

// array of symbol names (i.e. array of references)
class KnownNamesSym: public ArraySym {
	public:
		KnownNamesSym(const String &anItemType);

		virtual bool isA(const String &type) const;

	protected:
		virtual ArraySym *cloneType(const String &type) const;
};

#endif
